Get code contributions
curl --request GET \
--url https://api.identityhub.app/users/{username}/code-contributionsimport requests
url = "https://api.identityhub.app/users/{username}/code-contributions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identityhub.app/users/{username}/code-contributions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"platformId": "<string>",
"repo": "<string>",
"prs": 123,
"stars": 123,
"isOwner": true,
"hidden": true
}
],
"total": 123,
"offset": 123,
"count": 123,
"hasMore": true
}
}{
"success": false,
"error": "User not found",
"code": "NOT_FOUND"
}Users
Get code contributions
Returns per-repo breakdown of code contributions. Default: TON ecosystem only. Owner sees hidden repos with hidden flag.
GET
/
users
/
{username}
/
code-contributions
Get code contributions
Path Parameters
Unique username of the user
Query Parameters
Number of items to skip
Required range:
0 <= x <= 9007199254740991Number of items to return (max 100)
Required range:
1 <= x <= 100Filter: TON ecosystem only or ALL repositories